<template>
    <app-layout>
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <h1 class="h2 mb-3">Login</h1>
                <form @submit.prevent="form.post(route('auth.login'))">
                    <form-field text="Username" id="inputUsername" :errors="form.errors.username" v-slot="slotProps">
                        <form-input v-model="form.username" v-bind="slotProps" />
                    </form-field>
                    
                    <form-field text="Password" id="inputPassword" :errors="form.errors.password" v-slot="slotProps">
                        <form-input type="password" v-model="form.password" v-bind="slotProps" />
                    </form-field>
                    
                    <form-checkbox-field>
                        <form-checkbox id="inputRememberMe" v-model="form.remember">Remember Me</form-checkbox>
                    </form-checkbox-field>
                    
                    <form-button :disabled="form.processing">Login</form-button>
                </form>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import { useForm } from '@inertiajs/inertia-vue3'
    import AppLayout from '@/Layouts/AppLayout'
    import FormInput from '@/Components/Form/FormInput'
    import FormField from '@/Components/Form/FormField'
    import FormButton from '@/Components/Form/FormButton'
    import FormCheckboxField from '@/Components/Form/FormCheckboxField'
    import FormCheckbox from '@/Components/Form/FormCheckbox'


    export default {
        components: {
            AppLayout,
            FormInput,
            FormField,
            FormButton,
            FormCheckboxField,
            FormCheckbox,
        },
        
        setup () {
            const form = useForm({
                username: null,
                password: null,
                remember: true,
            })

            return { form }
        },
    }
</script>